Package: org.gradle.nativeplatform

## [Java] Interface SharedLibraryBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    Binary, NativeLibraryBinary, NativeBinary

  A NativeLibrary that has been compiled and linked as a shared library.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getSharedLibraryFile()` The shared library file.
    `File` | `getSharedLibraryLinkFile()` The shared library link file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeLibraryBinary` | `getHeaderDirs, getLinkFiles, getRuntimeFiles`
    `interface NativeBinary` | `getBuildType, getFlavor, getTargetPlatform`
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public File getSharedLibraryFile()

      The shared library file.

    - #### public File getSharedLibraryLinkFile()

      The shared library link file.